NX Open C++ Reference Guide
|
Represents a builder for non-associative divide curve operation. More...
Public Types | |
enum | CornerOption { CornerOptionByNumber, CornerOptionSelectPoint, CornerOptionAllCornerpoints } |
Represents the Divide Curve at Corner option types. More... | |
enum | EqualSegmentOption { EqualSegmentOptionEqualParameter, EqualSegmentOptionEqualArcLength } |
Represents the Divide Curve equal segment method types. More... | |
enum | InputArcLengthDirectionFlag { InputArcLengthDirectionFlagStart, InputArcLengthDirectionFlagEnd } |
Represents the Divide Curve Input Arc length direction flag. More... | |
enum | KnotPointOption { KnotPointOptionByNumber, KnotPointOptionSelectPoint, KnotPointOptionAllKnotpoints } |
Represents the Divide Curve at Knot option types. More... | |
enum | Types { TypesEqualSegments, TypesByBoundingObjects, TypesInputArcLengthSegments, TypesAtKnotpoints, TypesAtCorners } |
Represents the Divide Curve types. More... | |
Public Member Functions | |
double | ArcLength () |
Returns the arc length Created in NX5.0.0. | |
NXOpen::GeometricUtilities::BoundingObjectBuilderList * | BoundingObjects () |
Returns the Bounding Objects list Created in NX7.5.1. | |
NXOpen::Features::DivideCurveBuilder::CornerOption | CornerMethod () |
Returns the corner method Created in NX5.0.0. | |
int | CornerNumber () |
Returns the corner number Created in NX5.0.0. | |
NXOpen::SelectPointList * | CornerPoint () |
Returns the corner point Created in NX5.0.0. | |
NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag | DirectionFlag () |
Returns the input arc length direction flag Created in NX5.0.0. | |
NXOpen::SelectCurve * | DividingCurve () |
Returns the select dividing curve Created in NX5.0.0. | |
int | EqualArcLengthSegments () |
Returns the equal arc length segments Created in NX5.0.0. | |
int | EqualParameterSegments () |
Returns the equal parameter segments Created in NX5.0.0. | |
NXOpen::Features::DivideCurveBuilder::EqualSegmentOption | EqualSegmentMethod () |
Returns the equal segment method Created in NX5.0.0. | |
NXOpen::SelectPointList * | KnotPoint () |
Returns the knot point Created in NX5.0.0. | |
NXOpen::Features::DivideCurveBuilder::KnotPointOption | KnotPointMethod () |
Returns the knot point method Created in NX5.0.0. | |
int | KnotPointNumber () |
Returns the knot point number Created in NX5.0.0. | |
void | SetArcLength (double arcLength) |
Sets the arc length Created in NX5.0.0. | |
void | SetCornerMethod (NXOpen::Features::DivideCurveBuilder::CornerOption cornerMethod) |
Sets the corner method Created in NX5.0.0. | |
void | SetCornerNumber (int cornerNumber) |
Sets the corner number Created in NX5.0.0. | |
void | SetDirectionFlag (NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag directionFlag) |
Sets the input arc length direction flag Created in NX5.0.0. | |
void | SetEqualArcLengthSegments (int equalArcLengthSegments) |
Sets the equal arc length segments Created in NX5.0.0. | |
void | SetEqualParameterSegments (int equalParameterSegments) |
Sets the equal parameter segments Created in NX5.0.0. | |
void | SetEqualSegmentMethod (NXOpen::Features::DivideCurveBuilder::EqualSegmentOption equalSegmentMethod) |
Sets the equal segment method Created in NX5.0.0. | |
void | SetKnotPointMethod (NXOpen::Features::DivideCurveBuilder::KnotPointOption knotPointMethod) |
Sets the knot point method Created in NX5.0.0. | |
void | SetKnotPointNumber (int knotPointNumber) |
Sets the knot point number Created in NX5.0.0. | |
void | SetType (NXOpen::Features::DivideCurveBuilder::Types type) |
Sets the divide type Created in NX5.0.0. | |
NXOpen::Features::DivideCurveBuilder::Types | Type () |
Returns the divide type Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder for non-associative divide curve operation.
<br> To create a new instance of this class, use @link Features::BaseFeatureCollection::CreateDivideCurveBuilder Features::BaseFeatureCollection::CreateDivideCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ArcLength |
1.0 |
CornerNumber |
1 |
EqualArcLengthSegments |
2 |
EqualParameterSegments |
2 |
KnotPointNumber |
1 |
Created in NX5.0.0.
Represents the Divide Curve at Corner option types.
Represents the Divide Curve at Knot option types.
double NXOpen::Features::DivideCurveBuilder::ArcLength | ( | ) |
Returns the arc length
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::BoundingObjectBuilderList* NXOpen::Features::DivideCurveBuilder::BoundingObjects | ( | ) |
Returns the Bounding Objects list
Created in NX7.5.1.
License requirements : None
NXOpen::Features::DivideCurveBuilder::CornerOption NXOpen::Features::DivideCurveBuilder::CornerMethod | ( | ) |
Returns the corner method
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::DivideCurveBuilder::CornerNumber | ( | ) |
Returns the corner number
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPointList* NXOpen::Features::DivideCurveBuilder::CornerPoint | ( | ) |
Returns the corner point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag NXOpen::Features::DivideCurveBuilder::DirectionFlag | ( | ) |
Returns the input arc length direction flag
Created in NX5.0.0.
License requirements : None
NXOpen::SelectCurve* NXOpen::Features::DivideCurveBuilder::DividingCurve | ( | ) |
Returns the select dividing curve
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::DivideCurveBuilder::EqualArcLengthSegments | ( | ) |
Returns the equal arc length segments
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::DivideCurveBuilder::EqualParameterSegments | ( | ) |
Returns the equal parameter segments
Created in NX5.0.0.
License requirements : None
NXOpen::Features::DivideCurveBuilder::EqualSegmentOption NXOpen::Features::DivideCurveBuilder::EqualSegmentMethod | ( | ) |
Returns the equal segment method
Created in NX5.0.0.
License requirements : None
NXOpen::SelectPointList* NXOpen::Features::DivideCurveBuilder::KnotPoint | ( | ) |
Returns the knot point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::DivideCurveBuilder::KnotPointOption NXOpen::Features::DivideCurveBuilder::KnotPointMethod | ( | ) |
Returns the knot point method
Created in NX5.0.0.
License requirements : None
int NXOpen::Features::DivideCurveBuilder::KnotPointNumber | ( | ) |
Returns the knot point number
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::DivideCurveBuilder::SetArcLength | ( | double | arcLength | ) |
Sets the arc length
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
arcLength | arclength |
void NXOpen::Features::DivideCurveBuilder::SetCornerMethod | ( | NXOpen::Features::DivideCurveBuilder::CornerOption | cornerMethod | ) |
Sets the corner method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
cornerMethod | cornermethod |
void NXOpen::Features::DivideCurveBuilder::SetCornerNumber | ( | int | cornerNumber | ) |
Sets the corner number
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
cornerNumber | cornernumber |
void NXOpen::Features::DivideCurveBuilder::SetDirectionFlag | ( | NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag | directionFlag | ) |
Sets the input arc length direction flag
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
directionFlag | directionflag |
void NXOpen::Features::DivideCurveBuilder::SetEqualArcLengthSegments | ( | int | equalArcLengthSegments | ) |
Sets the equal arc length segments
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
equalArcLengthSegments | equalarclengthsegments |
void NXOpen::Features::DivideCurveBuilder::SetEqualParameterSegments | ( | int | equalParameterSegments | ) |
Sets the equal parameter segments
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
equalParameterSegments | equalparametersegments |
void NXOpen::Features::DivideCurveBuilder::SetEqualSegmentMethod | ( | NXOpen::Features::DivideCurveBuilder::EqualSegmentOption | equalSegmentMethod | ) |
Sets the equal segment method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
equalSegmentMethod | equalsegmentmethod |
void NXOpen::Features::DivideCurveBuilder::SetKnotPointMethod | ( | NXOpen::Features::DivideCurveBuilder::KnotPointOption | knotPointMethod | ) |
Sets the knot point method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
knotPointMethod | knotpointmethod |
void NXOpen::Features::DivideCurveBuilder::SetKnotPointNumber | ( | int | knotPointNumber | ) |
Sets the knot point number
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
knotPointNumber | knotpointnumber |
void NXOpen::Features::DivideCurveBuilder::SetType | ( | NXOpen::Features::DivideCurveBuilder::Types | type | ) |
Sets the divide type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
type | type |
NXOpen::Features::DivideCurveBuilder::Types NXOpen::Features::DivideCurveBuilder::Type | ( | ) |
Returns the divide type
Created in NX5.0.0.
License requirements : None